PHP QrCode Liblary 2.0

- Main Page
- Related Pages
- Modules
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Functions Variables Groups Pages
Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
QRrsItem Class Reference
Standard API Core

Reed-Solomon encoder item. More...

## Public Member Functions
| modnn ($x)
| Modulo function in defined Field. More...
| encode_rs_char ($data, &$parity)
| Appends char into encoder. More...

## Static Public Member Functions
static | init_rs_char ($symsize, $gfpoly, $fcr, $prim, $nroots, $pad)
| Encoder initialisation. More...

## Public Attributes
| $mm
| Bits per symbol.
| $nn
| Symbols per block (= (1<<mm)-1)
| $alpha_to = array()
| Log lookup table.
| $index_of = array()
| Antilog lookup table.
| $genpoly = array()
| Generator polynomial.
| $nroots
| Number of generator roots = number of parity symbols.
| $fcr
| First consecutive root, index form.
| $prim
| Primitive element, index form.
| $iprim
| Prim-th root of 1, index form.
| $pad
| Padding bytes in shortened block.
| $gfpoly
| Galois Field Polynomial.

## Detailed Description

Reed-Solomon encoder item.

## Member Function Documentation

QRrsItem::encode_rs_char | ( |  | $data,
|  | & | $parity
| ) |  |

Appends char into encoder.

Parameters

  String | input
  Array | parity table

static QRrsItem::init_rs_char | ( |  | $symsize,
|  |  | $gfpoly,
|  |  | $fcr,
|  |  | $prim,
|  |  | $nroots,
|  |  | $pad
| ) |  |
| static

Encoder initialisation.

Parameters

  Integer | $symsize | symbol size, bit count (1..8)
  Integer | $gfpoly | Galois Field Polynomial
  Integer | $fcr | First consecutive root
  Integer | $prim | Primitive element
  Integer | $nroots | Number of generator roots = number of parity symbols
  Integer | $pad | Padding bytes in shortened block

QRrsItem::modnn | ( |  | $x) |  |

Modulo function in defined Field.

Parameters

  Integer | $x | number to be modulo-mapped

The documentation for this class was generated from the following file:

- lib/full/qrrscode.php